Package com.beust.jcommander

# Class ParameterException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.beust.jcommander.ParameterException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `MissingCommandException`

public class ParameterException extends RuntimeException
The main exception that JCommand will throw when something goes wrong while parsing parameters.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ParameterException(String string)`
`ParameterException(String string, Throwable t)`
`ParameterException(Throwable t)`

## Method Summary

Modifier and Type
Method
Description
`JCommander`
`getJCommander()`
`void`
`setJCommander(JCommander jc)`
`void`
`usage()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ParameterException

public ParameterException(Throwable t)

### ParameterException

public ParameterException(String string)

### ParameterException

public ParameterException(String string, Throwable t)

## Method Details

### setJCommander

public void setJCommander(JCommander jc)

### getJCommander

public JCommander getJCommander()

### usage

public void usage()